Moderate

CVE-2004-0175 - Path Traversal vulnerability in Openbsd Openssh

Publication: 2004-08-18
Summary

Directory traversal vulnerability in scp for OpenSSH before 3.4p1 allows remote malicious servers to overwrite arbitrary files. NOTE: this may be a rediscovery of CVE-2000-0992.

Classification
CWE-22: Path Traversal

Risk level (CVSS 4.3)

Moderate

4.3

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Openbsd Openssh 3.0
  • Openbsd Openssh 3.4p1
  • Openbsd Openssh 3.0.1p1
  • Openbsd Openssh 3.0.2
  • Openbsd Openssh 3.0.2p1
  • Openbsd Openssh 3.0p1
  • Openbsd Openssh 3.1
  • Openbsd Openssh 3.0.1
  • Openbsd Openssh 3.2
  • Openbsd Openssh 3.2.2p1
  • Openbsd Openssh 3.2.3p1
  • Openbsd Openssh 3.3
  • Openbsd Openssh 3.3p1
  • Openbsd Openssh 3.4
  • Openbsd Openssh 3.1p1